// Masking.h
// Chris Pocock 2014

#ifndef MASKING_H_
#define MASKING_H_

#include <opencv/cv.h>
#include <opencv/highgui.h>

using namespace cv;

class Masking {

private:

	// Class variables
	int maskLeft;
	int maskRight;
	int maskTop;
	int maskBot;

	Point2f topLeftMask;
	Point2f botRightMask;
	Rect maskRect;

	Mat zeroMask;
	Mat original;
	Mat masked;

	int maskPaddingX;
	int maskPaddingY;
	int maxMaskPaddingX;
	int maxMaskPaddingY;

public:

	// Class methods
	Masking();
	Masking(Mat);
	virtual ~Masking();
	Mat mask(int,int,int,int,Mat&);
	Rect getRect();
	void setupUi();
};

#endif
